###############################################################################
# Copyright 2014 2017 Intel Corporation.
#
# The source code, information and material ("Material") contained herein is
# owned by Intel Corporation or its suppliers or licensors, and title to such
# Material remains with Intel Corporation or its suppliers or licensors. The
# Material contains proprietary information of Intel or its suppliers and
# licensors. The Material is protected by worldwide copyright laws and treaty
# provisions. No part of the Material may be used, copied, reproduced, modified,
# published, uploaded, posted, transmitted, distributed or disclosed in any way
# without Intel's prior express written permission.
#
# No license under any patent, copyright or other intellectual property rights
# in the Material is granted to or conferred upon you, either expressly, by
# implication, inducement, estoppel or otherwise. Any license under such
#
# intellectual property rights must be express and approved by Intel in writing.
# Unless otherwise agreed by Intel in writing, you may not remove or alter
# this notice or any other notice embedded in Materials by Intel or Intel's
# suppliers or licensors in any way.
###############################################################################

from __future__ import absolute_import
from ._version import __version__,__revision__
from .base import baseaccess
from . import imp_hook as _imp_hook
from . import settings

# maybe call this on import ?
# once we do that...can't go back behavior wise
# _imp_hook.install()

__all__ = ["baseaccess","__version__","__revision__"]

from .datatypes import Ord1,Ord2,Ord4,Ord8
from .bitdata import BitData
from .address import Address,AddressType


def override_itpii():
    """override the itpii imports"""
    from . import imp_hook
    imp_hook.install()
