###############################################################################
# Copyright 2014 2017 Intel Corporation.
#
# The source code, information and material ("Material") contained herein is
# owned by Intel Corporation or its suppliers or licensors, and title to such
# Material remains with Intel Corporation or its suppliers or licensors. The
# Material contains proprietary information of Intel or its suppliers and
# licensors. The Material is protected by worldwide copyright laws and treaty
# provisions. No part of the Material may be used, copied, reproduced, modified,
# published, uploaded, posted, transmitted, distributed or disclosed in any way
# without Intel's prior express written permission.
#
# No license under any patent, copyright or other intellectual property rights
# in the Material is granted to or conferred upon you, either expressly, by
# implication, inducement, estoppel or otherwise. Any license under such
#
# intellectual property rights must be express and approved by Intel in writing.
# Unless otherwise agreed by Intel in writing, you may not remove or alter
# this notice or any other notice embedded in Materials by Intel or Intel's
# suppliers or licensors in any way.
###############################################################################

# !!!!!!!!!!!!!!!!!!!!
# This API is strictly for the IPCCLI and is subject to change
# !!!!!!!!!!!!!!!!!!!!


def _console_trim(line, num_cols):
    """
    trim the line to fit in the number of columns given
    Returns:
        line, leftovers : line = line that fits, leftovers text that didn't fit
    """
    left = line
    lines = []
    while len(left)>num_cols:
        # find first space
        space = left[:num_cols].rfind(" ")
        if space < 0: # if not space found use number of columns
            space = num_cols
        l = left[:space]
        lines.append(l)
        left = left[space:]
    if left:
        lines.append(left)
    return lines

