###############################################################################
# Copyright 2014 2017 Intel Corporation.
#
# The source code, information and material ("Material") contained herein is
# owned by Intel Corporation or its suppliers or licensors, and title to such
# Material remains with Intel Corporation or its suppliers or licensors. The
# Material contains proprietary information of Intel or its suppliers and
# licensors. The Material is protected by worldwide copyright laws and treaty
# provisions. No part of the Material may be used, copied, reproduced, modified,
# published, uploaded, posted, transmitted, distributed or disclosed in any way
# without Intel's prior express written permission.
#
# No license under any patent, copyright or other intellectual property rights
# in the Material is granted to or conferred upon you, either expressly, by
# implication, inducement, estoppel or otherwise. Any license under such
#
# intellectual property rights must be express and approved by Intel in writing.
# Unless otherwise agreed by Intel in writing, you may not remove or alter 
# this notice or any other notice embedded in Materials by Intel or Intel's 
# suppliers or licensors in any way.
###############################################################################

class ASMDecode:
    def __init__(self, opcode, address, instruction):
        self.opcode = opcode
        self.address = address
        self.instruction = instruction

class ASMList(list):
    def __repr__(self):
        rString = ""
        for asm in self:
            mystr = ""
            for i in asm.opcode: #format the opcode so it prints out in one big hex number instead of an integer list
                mystr += "{0:>02x}".format(i)
            rString += "{0:24s} {1:16s} {2:25s}".format(str(asm.address), mystr, asm.instruction) + "\n" 
            #careful of length--much longer, and it wraps
        return rString
 
